<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#FB5CA3"
    android:orientation="vertical"
    tools:context=".ui.activity.promote.ShareActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="24dp"
        android:gravity="center"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="12dp"
            android:src="@mipmap/icon_back_white" />

        <View
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_weight="1" />

    </LinearLayout>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/bg_promote">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="vertical">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="14dp"
                android:src="@mipmap/img_top_logo" />

            <FrameLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="2dp"
                    android:layout_marginTop="15dp"
                    android:layout_marginRight="2dp"
                    android:background="@mipmap/img_yaoqing_bg" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="top|center"
                    android:layout_marginTop="36dp"
                    android:src="@mipmap/text_yonghuduan" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="20dp"
                    android:layout_gravity="top|center"
                    android:layout_marginTop="287dp"
                    android:text="扫一扫下载APP"
                    android:textColor="#ffffffff"
                    android:textSize="14sp" />

                <LinearLayout
                    android:layout_width="150dp"
                    android:layout_height="150dp"
                    android:layout_gravity="top|center"
                    android:layout_marginTop="127dp"
                    android:background="@drawable/bg_qrcode"
                    android:padding="12dp">

                    <ImageView
                        android:id="@+id/iv_qr_code"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:scaleType="centerCrop" />
                </LinearLayout>

                <ImageButton
                    android:id="@+id/btn_invite"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="bottom|center"
                    android:layout_marginBottom="60dp"
                    android:background="#00000000"
                    android:src="@mipmap/btu_yaoqing" />
            </FrameLayout>

        </LinearLayout>
    </ScrollView>
</LinearLayout>